org.apache.olingo.server.api

## Interface ODataHttpHandler

- All Superinterfaces:
    ODataHandler

      public interface ODataHttpHandler
      extends ODataHandler

  Handles HTTP requests as OData requests.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Processes a HttpServletRequest as an OData request.
    `void` | `register(CustomContentTypeSupport customContentTypeSupport)` Registers a service implementation for modifying the standard list of supported content types.
    `void` | `register(CustomETagSupport customETagSupport)` Registers support for concurrency control for certain entity sets.
    `void` | `register(DebugSupport debugSupport)` Registers the debug support handler.
    `void` | `setSplit(int split)` Sets the split parameter which is used for service resolution.

    - ### Methods inherited from interface org.apache.olingo.server.api.ODataHandler

      `process, register, register`

- - ### Method Detail

    - #### process

          void process(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)

      Processes a HttpServletRequest as an OData request.

      This includes URI parsing, content negotiation, dispatching the request to a specific custom processor implementation for handling data and creating the serialized content for the response object.

      Parameters:
        `request` - - must be a HTTP OData request
        `response` - - HTTP OData response

    - #### setSplit

          void setSplit(int split)

      Sets the split parameter which is used for service resolution.
      Parameters:
        `split` - the number of path segments reserved for service resolution; default is 0

    - #### register

          void register(DebugSupport debugSupport)

      Registers the debug support handler.
      Parameters:
        `debugSupport` - handler to register

    - #### register

          void register(CustomContentTypeSupport customContentTypeSupport)

      Registers a service implementation for modifying the standard list of supported content types.
      See Also:
        `CustomContentTypeSupport`

    - #### register

          void register(CustomETagSupport customETagSupport)

      Registers support for concurrency control for certain entity sets.
      Parameters:
        `customETagSupport` - handler to register

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.